CMSIS DSP Software Library: Vector Negate

Functions

# Vector Negate
[Basic Math Functions]

## Functions
void | arm_negate_f32 (float32_t *pSrc, float32_t *pDst, uint32_t blockSize)
void | arm_negate_q31 (q31_t *pSrc, q31_t *pDst, uint32_t blockSize)
void | arm_negate_q15 (q15_t *pSrc, q15_t *pDst, uint32_t blockSize)
void | arm_negate_q7 (q7_t *pSrc, q7_t *pDst, uint32_t blockSize)

## Detailed Description

Negates the elements of a vector.

         pDst[n] = -pSrc[n],   0 <= n < blockSize.

## Function Documentation

void arm_negate_f32 | ( | float32_t * | pSrc,
|  | float32_t * | pDst,
|  | uint32_t | blockSize
| ) |  |

Negates the elements of a floating-point vector.

Parameters:

  [in] | *pSrc | points to the input vector
  [out] | *pDst | points to the output vector
  [in] | blockSize | number of samples in the vector

Returns:
  none.

Definition at line 62 of file arm_negate_f32.c.

void arm_negate_q31 | ( | q31_t * | pSrc,
|  | q31_t * | pDst,
|  | uint32_t | blockSize
| ) |  |

Negates the elements of a Q31 vector.

Parameters:

  [in] | *pSrc | points to the input vector
  [out] | *pDst | points to the output vector
  [in] | blockSize | number of samples in the vector

Returns:
  none.

Scaling and Overflow Behavior:

  The function uses saturating arithmetic. The Q31 value -1 (0x80000000) will be saturated to the maximum allowable positive value 0x7FFFFFFF.

Definition at line 57 of file arm_negate_q31.c.

void arm_negate_q15 | ( | q15_t * | pSrc,
|  | q15_t * | pDst,
|  | uint32_t | blockSize
| ) |  |

Negates the elements of a Q15 vector.

Parameters:

  [in] | *pSrc | points to the input vector
  [out] | *pDst | points to the output vector
  [in] | blockSize | number of samples in the vector

Returns:
  none.

Scaling and Overflow Behavior:

  The function uses saturating arithmetic. The Q15 value -1 (0x8000) will be saturated to the maximum allowable positive value 0x7FFF.

Definition at line 57 of file arm_negate_q15.c.

void arm_negate_q7 | ( | q7_t * | pSrc,
|  | q7_t * | pDst,
|  | uint32_t | blockSize
| ) |  |

Negates the elements of a Q7 vector.

Parameters:

  [in] | *pSrc | points to the input vector
  [out] | *pDst | points to the output vector
  [in] | blockSize | number of samples in the vector

Returns:
  none.

Scaling and Overflow Behavior:

  The function uses saturating arithmetic. The Q7 value -1 (0x80) will be saturated to the maximum allowable positive value 0x7F.

Definition at line 57 of file arm_negate_q7.c.

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines